// Section Header
.items-header {
  height: 28px;
  margin: 2px 0;
  padding: 0;
  align-items: center;
  background: rgba(0, 0, 0, 0.05);
  border: $border-groove;
  font-weight: bold;

  >* {
    font-size: 14px;
    text-align: center;
  }

  .item-name {
    font-weight: bold;
    padding-left: 5px;
    text-align: left;
    display: flex;
    // font-size: 16px;
  }
}

// -----------------------------------------
// Items Lists
// -----------------------------------------

.items-list {
  list-style: none;
  margin: 0;
  padding: 0;
  overflow-y: auto;
  scrollbar-width: thin;
  color: $c-tan;

  // Child lists
  .item-list {
    list-style: none;
    margin: 0;
    padding: 0;
  }

  // Item Name
  .item-name {
    flex: 2;
    margin: 0;
    overflow: hidden;
    font-size: 13px;
    text-align: left;
    align-items: center;
    display: flex;

    h3,
    h4 {
      margin: 0;
      white-space: nowrap;
      overflow-x: hidden;
    }
  }


  .item-quantity {
    flex: 0 0 50px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;

    .item-control {
      font-size: 10px;
      color: #9e9b90;

      &:hover {
        color: $c-dark;
      }
    }
  }

  .item-actions {
    flex: 0 0 50px;
    display: flex;
    justify-content: center;
  }

  .item-cooldown {
    flex: 0 0 75px;
    display: flex;
    justify-content: center;
  }

  .item-roll {
    flex: 0 0 50px;
    display: flex;
    justify-content: center;
  }

  .item-value {
    flex: 0 0 50px;
    display: flex;
    justify-content: center;
  }

  // Control Buttons
  .item-controls {
    display: flex;
    flex: 0 0 50px;
    justify-content: flex-end;

    a {
      font-size: 12px;
      text-align: center;
      margin: 0 6px;
    }
  }

  .item-roll-img {
    border: none;
  }

  // Individual Item
  .item {
    align-items: center;
    margin: 0 0 3px 0;
    padding: 0 2px; // to align with the header border
    border-bottom: 1px solid $c-faint;

    &:last-child {
      border-bottom: none;
    }

    .item-name {
      color: $c-dark;

      .item-image {
        flex: 0 0 30px;
        height: 30px;
        background-size: 30px;
        border: none;
        margin-right: 5px;
        justify-content: center;
        justify-items: center;
        align-items: center;
        align-content: center;
        display: flex;
      }
    }
  }

  .item-prop {
    text-align: center;
    border-left: 1px solid #c9c7b8;
    border-right: 1px solid #c9c7b8;
    font-size: 12px;
  }

  // Section Header
  .items-header {
    height: 28px;
    padding: 0;
    align-items: center;
    background: rgba(0, 0, 0, 0.05);
    border: none;
    border-bottom: $border-groove;
    font-weight: bold;

    >* {
      font-size: 12px;
      text-align: center;
    }

    .item-name {
      padding-left: 5px;
      text-align: left;
      // font-size: 16px;
    }
  }
}

// Example style for Debilus (can be removed if not needed).
.item-formula {

  flex: 0 0 200px;
  padding: 0 8px;
}

.armor {
  width: -webkit-fill-available;
  position: absolute;
  bottom: 0;
  left: 3px;
  display: flex;
  justify-content: flex-start;
  align-items: center;

  .separator {
    flex: 0 0 15px;
    font-size: 1.5em;
    font-weight: bold;
    text-align: center;
  }


  img {
    width: 25px;
    height: 25px;
    border: none;
    padding: 0;
    margin: 0;
  }

  select {
    text-align: left;
    height: 25px;
    border: none;
    background: none;
    font-size: 1em;

    &:focus {
      outline: none;
      box-shadow: none;
      border: none;
    }

  }

  input[type="checkbox"] {
    width: 12px;
    height: 12px;
    border: none;
    padding: 0;
    margin: 0;
  }

}

.currency {
  position: absolute;
  bottom: 0;
  right: 3px;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  z-index: 100;

  .currency-item {
    flex: 0 0 60px;
    display: flex;
    justify-content: flex-end;
    align-items: center;

    img {
      width: 25px;
      height: 25px;
      border: none;
      padding: 0;
      margin: 0;
    }

    input {
      width: 65px;
      text-align: center;
      height: 25px;
      border: none;
      background: none;
      color: white;
      font-size: 1em;
      @include stroke(black, 1px);

      &:focus {
        outline: none;
        box-shadow: none;
        border: none;
      }
    }

  }

}

.starwars {

  .items-list,
  .item-name {
    color: white !important;
    background: rgba(0, 0, 0, 1) !important;
  }

  .items .items-list {
    margin-top: 40px !important;
  }

  .items-list {
    @include neon-box;
    margin: 8px 3px 0 3px;
    border: none !important;

    .item {
      margin: 0;
      @include neon-box;
    }
  }

  .item-name {
    font-weight: bold !important;

    img {
      border-radius: 0;
      border: none;
      margin: 2px;
    }
  }

  .armor {
    top: 6px;
    left: 10px;
    bottom: unset;
    @include neon-text;

    select, img {
      filter: drop-shadow(0 0 1px white) drop-shadow(0 0 1px white) drop-shadow(0 0 2px yellow) drop-shadow(0 0 2px yellow);
    }

    input[type="checkbox"]:checked {
      @include neon-drop;
    }

    .separator {
      @include neon-text;
    }
  }

  .currency {
    top: 6px;
    right: 10px;
    bottom: unset;

    .currency-item {

      &.silver,
      &.copper {
        display: none;
      }

      &.gold {
        input {
          width: 120px;
          text-align: right;
          caret-color: white !important
        }
        img {
          content: url("/systems/debilus/assets/starwars/credit.svg");
          filter: drop-shadow(0 0 5px yellow);
        }
      }
    }
  }
}